package com.palmnest.application.dto.output.kafka;

import java.io.Serializable;
import java.util.Date;

/**
 * 同步项目信息到子系统
 * @author wangxz
 *
 * 2018年12月18日
 */
public class KafkaOuterOrganization implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -7639233394050709877L;
	private Integer id;
	private Integer companyId;
	private String name;
	private String code;
	private String type;
	private String telephone;
	private String provinceCode;
	private String provinceName;
	private String cityCode;
	private String cityName;
	private String address;
	private Double lng;
	private Double lat;
	private String status;			//项目状态（0-待审核，1-通过，2-不通过）
	private String applicantName;	//申请人姓名
	private String applicantPhone;	//申请人电话
	private String applicantIdentity;//申请人身份
	private String reviewRemark;	//审核信息说明
	private Integer wxUserId;		//微信用户ID
	private Date createTime;
	private String creator;
	private Date modifyTime;
	private String modifier;
	private String isEnabled;
	
	private int isSyncNeigou; //是否同步内购网

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getProvinceCode() {
		return provinceCode;
	}

	public void setProvinceCode(String provinceCode) {
		this.provinceCode = provinceCode;
	}

	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Double getLng() {
		return lng;
	}

	public void setLng(Double lng) {
		this.lng = lng;
	}

	public Double getLat() {
		return lat;
	}

	public void setLat(Double lat) {
		this.lat = lat;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getApplicantName() {
		return applicantName;
	}

	public void setApplicantName(String applicantName) {
		this.applicantName = applicantName;
	}

	public String getApplicantPhone() {
		return applicantPhone;
	}

	public void setApplicantPhone(String applicantPhone) {
		this.applicantPhone = applicantPhone;
	}

	public String getApplicantIdentity() {
		return applicantIdentity;
	}

	public void setApplicantIdentity(String applicantIdentity) {
		this.applicantIdentity = applicantIdentity;
	}

	public String getReviewRemark() {
		return reviewRemark;
	}

	public void setReviewRemark(String reviewRemark) {
		this.reviewRemark = reviewRemark;
	}

	public Integer getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public int getIsSyncNeigou() {
		return isSyncNeigou;
	}

	public void setIsSyncNeigou(int isSyncNeigou) {
		this.isSyncNeigou = isSyncNeigou;
	}
	
}
